#include <iostream>
#include <vector>
#include <string>
#include <utility>
#include <algorithm>
#include "tsdb.h"

int main() {
	// 连接到时序数据库服务 (位于 localhost)
	tsdb_cpp::tsdb_entry db("localhost");

	// 创建并选中数据表 (默认为 tsdb_cpp)
	db.create_table();

	// 插入单个点，名字为 name1，数据为 1.3，时间为 UTC 100001 纳秒
	db.insert_point("name1", 1.3, 100001);

	// 批量插入点数据
	{
		auto batch = db.new_batch_insert();
		std::string pt_name = "many_points1";
		for (int i = 0; i < 1000; i++) {
			batch.add_point(pt_name, 4.2, i + 1000000);
		}
		// 批量插入点
		batch.close();
	}

	std::cout << "All success!" << std::endl;
}

