#!/bin/bash

set -e
base_dir=$(
    cd "$(dirname "$0")"
    pwd
)
cd $base_dir

# Check if stck is running
if systemctl is-active --quiet stck; then
    :
else
    echo "❌ stck is not running. Please start it first."
    exit 1
fi

# Create tables
echo "Creating tables..."
/opt/stck/stck/lib/stck client --queries-file ./init_db.sql

# Done!
echo "✅ stck has been successfully initialized."
