CREATE TABLE IF NOT EXISTS tsdb_cpp (
    metric_name LowCardinality(String) COMMENT 'Metric name',
    point_name LowCardinality(String) COMMENT 'Point name',
    tags Map(LowCardinality(String), LowCardinality(String)) COMMENT 'Point tags',
    value Float64 COMMENT 'Point value',
    nanoseconds Int64 COMMENT 'Point time in nanoseconds' Codec(DoubleDelta, LZ4)
) ENGINE = MergeTree()
ORDER BY (metric_name, point_name, nanoseconds)
